#!/bin/bash

topdir=$1
if [ -z $topdir ]
then
 echo "Usage: $0 <backupdir>"
 exit
fi

#show diskusage 
echo "<diskusage>"
df -k |grep /backup | awk '{print " <partition>\n  <mountpoint>"$6"</mountpoint>\n  <size>"$2"</size>\n  <used>"$3"</used>\n  <available>"$4"</available>\n  <pctused>"$5"</pctused>\n </partition>"}'
echo "</diskusage>"

echo ""

cd $topdir
echo "<computers>"
for maskin in `ls -1d ?* | grep -v lost+found`
do
 cd $topdir/$maskin
 echo " <computer name='${maskin}'>" 
 for del in `ls -1d ?* | grep -v .name`
 do
  delnavn=`cat $topdir/$maskin/.${del}.name`
  echo "  <partition name='$delnavn'>"
  cd $topdir/$maskin/$del
  for level in `ls -1d ?*`
  do
   cd $topdir/$maskin/$del/$level
   echo "   <level name='$level'>"
   for fil in *.idx
   do
    if `tail -1 $fil | grep ^tar: > /dev/null 2>&1`
    then
     feilm="not ok"
    else
     feilm="ok"
    fi

    prefix=`echo $fil | cut -d . -f 1`
    tgzfil=$topdir/$maskin/$del/$level/${prefix}.tgz
    str=`du $tgzfil | awk '{print $1}'`
    aar=`echo $prefix | cut -c 1-4`
    mnd=`echo $prefix | cut -c 5,6`
    dag=`echo $prefix | cut -c 7,8`

    echo "    <backupfile>"
    echo "     <date>${prefix}</date>"
    echo "     <size>${str}</size>"
    echo "     <message>${feilm}</message>"
    echo "     <filename>${tgzfil}</filename>"
    echo "    </backupfile>"

   done
   echo "   </level>"
  done
  echo "  </partition>"
 done
 echo " </computer>"
done
echo "</computers>"

